Operating System Requirements

We recommend that you use the desktop versions of Microsoft Windows for M-Files Desktop and the server versions for M-Files Server. If possible, do not use Microsoft Windows operating systems that are in the Extended support phase. Please refer to Microsoft's documentation for details about their support phases and product lifecycle.

Supported operating systems for M-Files Desktop

  • Microsoft Windows 11 (64-bit) (recommended)
  • Microsoft Windows 10 (64-bit) (recommended)
  • Microsoft Windows 8.1 (64-bit)
  • Microsoft Windows Server 2022 (64-bit)
  • Microsoft Windows Server 2019 (64-bit)
  • Microsoft Windows Server 2016 (64-bit)
  • Microsoft Windows Server 2012 R2 (64-bit)
Note: If the server only accepts TLS 1.2 connections and the client computer uses Microsoft Windows Server 2012, refer to Enabling TLS 1.2 on Windows Server 2012 Computers.

Supported operating systems for M-Files Server

  • Microsoft Windows Server 2022 (64-bit) (recommended)
  • Microsoft Windows Server 2019 (64-bit) (recommended)
  • Microsoft Windows Server 2016 (64-bit)
  • Microsoft Windows Server 2012 R2 (64-bit)
  • Microsoft Windows Server 2012 (64-bit)
  • Microsoft Windows 11 (64-bit)
  • Microsoft Windows 10 (64-bit)
  • Microsoft Windows 8.1 (64-bit)
Note: In production environments, we recommend that you use M-Files Server always with a server operating system.

The version of the operating system can be Workstation or Server. You can install M-Files Server on a physical or a virtualized server. For example, you can use Hyper-V or VMWare ESXi for server virtualization. However, you cannot use M-Files in a Windows Container or in an Nano Server environment.

For data security reasons, do not install M-Files Server on a computer that is also used as a Microsoft domain controller.

Using Linux and macOS

Linux and macOS users can get access to M-Files with M-Files Web. The recommended browser is Google Chrome. macOS users can install the M-Files for Chrome extension for the classic M-Files Web. For instructions, refer to Installing and Enabling the M-Files for Chrome Extension.

.NET Framework requirements

The server and client computers must have Microsoft .NET Framework 4.7.2 or later installed for all M-Files functions to work correctly.